package leigh.build;

import org.junit.Test;

import java.util.Properties;

import static org.junit.Assert.assertEquals;

public class VersionUtilTest {
    @Test
    public void testStrip() {
        Properties p = new Properties();
        p.setProperty("test-ver", "1.2.3-SNAPSHOT");
        VersionUtil.release(p, "-ver");
        assertEquals("1.2.3", p.getProperty("test-ver"));
    }
}
